<?php

/**
 * Page de fonctions permettant la vérification des permission d'un utilisateur ou d'un visiteur.
 */

/**
 * Fonction testant le niveau de privilège d'un utilisateur authentifié ou non.
 * Elle vérifie le privilège de l'utilisateur connecté et retourne la valeur adéquate.
 * Si un visiteur ou un utilisateur ne remplis pas la bonne condition, il est redirigé à la page d'accueil avec un message expllicatif.
 * Cette fonction devrait être appelée dans toute page de traitement.
 */
function testPrivileges(){
	if (isset($_SESSION['id_utilisateur']) && !empty($_SESSION['id_utilisateur']) && $_SESSION['privilege_utilisateur']=="administrateur") {
		return "administrateur";
	}
	elseif (isset($_SESSION['id_utilisateur']) && !empty($_SESSION['id_utilisateur']) && $_SESSION['privilege_utilisateur']=="utilisateur") {
		return "utilisateur";
	}
	else {
		header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
		die();
  }
}

?>